module Marihana
    ( mainMarihana
    ) where

import System.Environment
import Marihana.Init
import Marihana.Build
import Marihana.Deploy
import Marihana.Version
import Marihana.Help

mainMarihana :: IO ()
mainMarihana = do
    args <- getArgs
    case args of
        ["init", dirName] -> marihanaInit dirName
        ["build"] -> marihanaBuild
        ["deploy"] -> marihanaDeploy
        ["version"] -> marihanaVersion
        ["help"] -> marihanaHelp
        _ -> marihanaHelp
